/* Header */
h1 {
    line-height: 30px;
    margin: 2px 0;
    position: relative;
}

h1:after {
    position: absolute;
    right: 2px;
}

h1 abbrev {
    border-bottom-style: dotted;
    border-bottom-width: 1px;
    cursor: help;
    font-size: 60%;
    margin: 0 1px 0 3px;
    vertical-align: top;
}

h1 span:before {
    color: #999999;
    content: "/";
    display: inline-block;
    font-size: 18px;
    margin: 0 3px;
}

.header {
    margin-bottom: 2px;
}

img.mugshot-medium {
    border: 1px solid #000000;
    float: left;
    margin-left: 2px;
}

/* Header - Stats */
ul.summary {
    float: left;
    margin: 0 2px !important;
    width: fit-content;
}

ul.summary .row-head,
ul.summary .stat dt,
ul.summary .stat dd {
    text-align: center;
}

ul.summary .row-head {
    font-weight: bold;
}

ul.summary li.row-head {
    line-height: 18px;
    margin-bottom: 2px;
}

ul.summary .stat {
    float: left;
}

ul.summary .stat .row-head {
    border-radius: 3px 3px 0 0;
}

ul.summary .stat dl {
    margin-bottom: 0 !important;
}

ul.summary .stat:nth-child(2) dl {
    margin-left: 0 !important;
}

ul.summary .stat:last-child dl {
    margin-right: 0 !important;
}

ul.summary .stat .value {
    color: #333333;
    font-size: 20px;
    font-weight: bold;
    line-height: 24px;
}

ul.summary .stat .rank {
    font-style: italic;
    line-height: 18px;
}

/* Header - Bio */
dl.details {
    font-size: 14px;
    margin-bottom: 2px;
    text-align: center;
}

dl.details dt,
dl.details dd {
    display: inline;
    line-height: 20px;
    white-space: nowrap;
}

dl.details dt {
    margin-left: 5px;
    margin-right: 3px;
}

dl.details dd {
    margin-right: 5px;
}

dl.details dt.dob:before,
dl.details dt.draft:before,
dl.details dt.college:before,
dl.details dt.high_school:before {
    content: "\A";
    white-space: pre;
}

dl.details dd.pob .flag_right:after {
    vertical-align: baseline;
}

dl.details dd.draft span:before {
    margin-right: 3px;
}

/* No Experience */
fieldset.not-played {
    font-style: italic;
    margin: 0 auto;
    width: fit-content;
}

/* Header - Responsive */
@media only screen and (max-width: 1001px) {
    dl.details .pronounced,
    dl.details .high_school,
    dl.details .college {
        display: none;
    }
}

@media only screen and (max-width: 870px) {
    dl.details dt.custom:before,
    dl.details dt.pob:before {
        content: "\A";
        white-space: pre;
    }

    dl.details .draft {
        display: none;
    }
}

@media only screen and (min-width: 671px) {
    dl.details:nth-of-type(1) {
        margin-top: 8px;
    }
}

@media only screen and (max-width: 670px) {
    h1 {
        overflow-y: hidden;
        z-index: 0;
    }

    h1:after {
        opacity: 0.3;
        z-index: -1;
    }

    dl.details dt.weight:before {
        content: "\A";
        white-space: pre;
    }

    dl.details .pob {
        display: none;
    }
}

@media only screen and (min-width: 581px) {
    ul.summary .stat {
        width: 110px;
    }
}

@media only screen and (max-width: 580px) {
    ul.summary {
        width: calc(100% - 74px);
    }

    dl.details {
        display: none;
    }
}

/* Summary - Awards */
dl.awards {
    float: left;
    width: calc(50% - 8px);
}

dl.awards dt.row-head {
    border-radius: 3px 3px 0 0;
    line-height: 20px;
    text-align: center;
}

dl.awards dt:not(.row-head),
dl.awards dd {
    float: left;
    line-height: 18px;
}

dl.awards dt:not(.row-head) {
    clear: left;
    min-height: 1px;
    width: 67px;
}

dl.awards dt:not(.row-head):before {
    margin-right: 3px;
}

@media only screen and (max-width: 768px) {
    dl.awards {
        float: none;
        width: calc(100% - 8px);
    }
}

/* Tab Loading */
.subnav-tab {
    position: relative;
}

.tab-loading {
    height: 100%;
    left: 0;
    min-height: 100px;
    position: absolute;
    top: 0;
    width: 100%;
}

.tab-loading .bg {
    background-color: #666666;
    height: 100%;
    left: 0;
    opacity: 0.5;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
}

.tab-loading .loading {
    left: calc(50% - 77px);
    line-height: 16px;
    position: absolute;
    text-align: center;
    top: calc(50% - 15px);
    width: 140px;
    z-index: 20;
}

.tab-loading .loading:before {
    vertical-align: middle !important;
}

/* Scrolltables */
scrolltable {
    margin-bottom: 2px;
}

scrolltable data {
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

scrolltable data::-webkit-scrollbar {
    height: 0 !important;
}

scrolltable cell {
    text-align: center;
}

scrolltable .row-head {
    font-weight: bold;
}

scrolltable data cell {
    width: 30px;
}

/* Dropdowns */
.tab-dropdown {
    height: 22px;
    margin-bottom: 2px;
    position: relative;
}

.tab-dropdown div {
    position: absolute;
}

.tab-dropdown .seasons {
    width: 150px;
}

.tab-dropdown .groups {
    width: 115px;
}

.tab-dropdown .groups,
.tab-dropdown[data-num="1"] .seasons {
    right: 2px;
}

.subnav-tab:not(.subnav-charts):not(.subnav-heatmaps) .tab-dropdown[data-num="2"] .seasons {
    right: 119px;
}

/* Seasons */
.scrolltable-season top .season,
.scrolltable-season main {
    width: 164px;
}

.scrolltable-season.shadow-l:before {
    left: 166px !important;
}

.scrolltable-season row .season {
    width: 50px;
}

.scrolltable-season .season-type {
    width: 60px;
}

.scrolltable-season .team {
    width: 50px;
}

.scrolltable-season .team span:before {
    margin-right: 3px;
}

.scrolltable-season data {
    width: calc(100% - 166px);
}

/* Games */
h3.games {
    line-height: 20px;
    margin: 0 auto 2px;
    text-align: center;
}

.scrolltable-game top .game,
.scrolltable-game main {
    width: 236px;
}

.scrolltable-game.shadow-l:before {
    left: 238px !important;
}

.scrolltable-game row .date {
    width: 82px;
}

.scrolltable-game .opp {
    width: 70px;
}

.scrolltable-game .opp span:before {
    margin: 0 3px;
}

.scrolltable-game .score {
    width: 80px;
}

.scrolltable-game .score a {
    border-bottom-style: none;
    float: right;
    margin-right: 3px;
}

.scrolltable-game data {
    width: calc(100% - 238px);
}
